/*
   Copyright: 2025 Rasmus Thomsen <oss@cogitri.dev>
   SPDX-License-Identifier: GPL-3.0-or-later
*/

mod dbus_polkit_authenticator;
mod polkit_authenticator;
#[cfg(test)]
mod test_polkit_authenticator;

pub use dbus_polkit_authenticator::*;
pub use polkit_authenticator::*;
#[cfg(test)]
pub use test_polkit_authenticator::*;

shaku::module! {
    pub ComponentBroker {
        components = [DbusPolkitAuthenticator],
        providers = []
    }
}
