/*
   Copyright: 2025 Rasmus Thomsen <oss@cogitri.dev>
   SPDX-License-Identifier: GPL-3.0-or-later
*/

use zbus::Connection;
use zbus::message::Header;

#[async_trait::async_trait]
pub trait PolkitAuthenticator: shaku::Interface {
    async fn check_polkit_auth(
        &self,
        connection: &Connection,
        header: &Header<'_>,
    ) -> Result<(), zbus::fdo::Error>;
}
