/*
   Copyright: 2025 Rasmus Thomsen <oss@cogitri.dev>
   SPDX-License-Identifier: GPL-3.0-or-later
*/

use crate::components::PolkitAuthenticator;
use zbus::Connection;
use zbus::fdo::Error;
use zbus::message::Header;

#[derive(shaku::Component)]
#[shaku(interface = PolkitAuthenticator)]
pub struct TestPolkitAuthenticator {}

impl TestPolkitAuthenticator {
    pub fn new() -> Self {
        Self {}
    }
}

#[async_trait::async_trait]
impl PolkitAuthenticator for TestPolkitAuthenticator {
    async fn check_polkit_auth(
        &self,
        _connection: &Connection,
        _header: &Header<'_>,
    ) -> Result<(), Error> {
        Ok(())
    }
}
