/*
   Copyright: 2025 Rasmus Thomsen <oss@cogitri.dev>
   SPDX-License-Identifier: GPL-3.0-or-later
*/

use crate::ApkPackage;
use apk_tools_sys::apk_provider;

pub struct ApkProvider {
    inner: apk_provider,
}

impl ApkProvider {
    pub fn from_raw(inner: apk_provider) -> Self {
        Self { inner }
    }

    pub fn pkg(&self) -> Option<ApkPackage> {
        ApkPackage::from_ptr(self.inner.pkg)
    }
}
