/*
   Copyright: 2025 Rasmus Thomsen <oss@cogitri.dev>
   SPDX-License-Identifier: GPL-3.0-or-later
*/

use crate::{__IncompleteArrayField, gid_t, mode_t, uid_t};

#[repr(C, packed)]
pub struct apk_db_acl {
    pub mode: mode_t,
    pub uid: uid_t,
    pub gid: gid_t,
    pub xattr_hash_len: u8,
    pub xattr_hash: __IncompleteArrayField<u8>,
}
#[allow(clippy::unnecessary_operation, clippy::identity_op)]
const _: () = {
    ["Size of apk_db_acl"][::std::mem::size_of::<apk_db_acl>() - 13usize];
    ["Alignment of apk_db_acl"][::std::mem::align_of::<apk_db_acl>() - 1usize];
    ["Offset of field: apk_db_acl::mode"][::std::mem::offset_of!(apk_db_acl, mode) - 0usize];
    ["Offset of field: apk_db_acl::uid"][::std::mem::offset_of!(apk_db_acl, uid) - 4usize];
    ["Offset of field: apk_db_acl::gid"][::std::mem::offset_of!(apk_db_acl, gid) - 8usize];
    ["Offset of field: apk_db_acl::xattr_hash_len"]
        [::std::mem::offset_of!(apk_db_acl, xattr_hash_len) - 12usize];
    ["Offset of field: apk_db_acl::xattr_hash"]
        [::std::mem::offset_of!(apk_db_acl, xattr_hash) - 13usize];
};
impl Default for apk_db_acl {
    fn default() -> Self {
        let mut s = ::std::mem::MaybeUninit::<Self>::uninit();
        unsafe {
            ::std::ptr::write_bytes(s.as_mut_ptr(), 0, 1);
            s.assume_init()
        }
    }
}
